Subject: Re: bug#32882: 27.0.50; thin border around emacs frame on macOS mojave

From: Alan Third <[email-masked]>
Date: Sun, 30 Sep 2018 19:16:12 +0100

(I don’t know if you intentionally removed the bug tracker, but I’ve
put it back in.)

On Sun, Sep 30, 2018 at 09:51:40AM -0700, Aaron Jensen wrote:
> On September 30, 2018 at 1:54:05 AM, Alan Third
> ([email-masked](mailto:[email-masked])) wrote:
> 
> > Hi Aaron,
> >
> > My money is on this being related to Mojave’s new theming stuff. If
> > you look very closely at the second screenshot you’ll notice there is
> > actually a black border round the frame.
> 
> The black border on iTerm, AFAICT is on the very outside and only 1px
> wide. Emacs has that as well, but it also has a 2px colored border.

I wonder if it’s the internal border. It’s not properly supported on
the NS port for some reason, and therefore should always be the
background colour. But it defaults to 2 pixels. Try:

(set-frame-parameter nil 'internal-border-width 0)

> It’s likely a shame of the background color. I wonder if there’s a way
> to opt out of it, it almost gives the windows a beveled feel. I’ll
> take a look at the iTerm2 codebase and ask the maintainer if I can’t
> figure it out.
> Some other windows have it too, but not all of them.

It looks like it’s the same colour as the titlebar text, but that
might just be coincidence.

(By the way, your manoj-dark appears to be significantly different
than mine. Are you using a modified version?)
-- 
Alan Third